POST /ent/v2/img2video-prompt-recommendation
curl --request POST \
--url https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://example.com/image.jpg"
}
'import requests
url = "https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation"
payload = { "image_url": "https://example.com/image.jpg" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://example.com/image.jpg'})
};
fetch('https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation"
payload := strings.NewReader("{\n \"image_url\": \"https://example.com/image.jpg\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"image_url\": \"https://example.com/image.jpg\"\n}")
.asString();{
"prompts": [
"<string>"
]
}POST /ent/v2/img2video-prompt-recommendation
Use this endpoint to call the provider-compatible post /ent/v2/img2video-prompt-recommendation operation through MaxAPI.
POST
https://api.maxapi.ai
/
ent
/
v2
/
img2video-prompt-recommendation
POST /ent/v2/img2video-prompt-recommendation
curl --request POST \
--url https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://example.com/image.jpg"
}
'import requests
url = "https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation"
payload = { "image_url": "https://example.com/image.jpg" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://example.com/image.jpg'})
};
fetch('https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation"
payload := strings.NewReader("{\n \"image_url\": \"https://example.com/image.jpg\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.maxapi.ai/ent/v2/img2video-prompt-recommendation")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"image_url\": \"https://example.com/image.jpg\"\n}")
.asString();{
"prompts": [
"<string>"
]
}